#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>

void main(int argc, char *argv[]) {
   int pid,pfd0[2], pfd1[2];
   FILE *fdin,*fdout;
   char tmp[100];

   fprintf(stderr,"start %s\n",argv[0]);
   if (pipe(pfd0) < 0) exit(errno);
   if (pipe(pfd1) < 0) exit(errno);
   if ((pid = fork()) < 0) exit(errno);

   if (pid == 0) {
      if (dup2(pfd0[1],1) < 0) exit(errno);
      if (dup2(pfd1[0],0) < 0) exit(errno);

   /* execlp("cross_bgd","cross_bgd"); */

      execlp("cross_bgd","cross_bgd","0","Vafan/bg9_99_08_06.mt");
      exit(errno);
   } else {
      fdin=fdopen(pfd0[0],"r");
      fdout=fdopen(pfd1[1],"w");
      fputs("next\n",fdout);fflush(fdout);
      fgets(tmp,100,fdin);
      printf("%s 1: %s",argv[0],tmp);
      fgets(tmp,100,fdin);
      printf("%s 2: %s",argv[0],tmp);
      fputs("sub\n",fdout);fflush(fdout);
      sleep(1);
      fputs("quit\n",fdout);fflush(fdout);
      sleep(1);

      exit(0);
   }
}
