/* VS56 controller registers */

extern unsigned short base_port_56; /*   base port
						0x300 - 0x300-0x31f
						0x320 - 0x320-0x33f */

extern unsigned short dan_read_56;              /* base + 0x0  */
extern unsigned short rs_read_56;               /* base + 0x1  */

extern unsigned short dan_56;                   /* base + 0x0  */
extern unsigned short page_56;                  /* base + 0x1  */
extern unsigned short reset_line_56;            /* base + 0x2  */
extern unsigned short inc_line_56;              /* base + 0x3  */
extern unsigned short write_56;                 /* base + 0x4  */
extern unsigned short mask_irq5_56;             /* base + 0x5  */
extern unsigned short out_56;                   /* base + 0x6  */
extern unsigned short xil_reset_56;             /* base + 0x1a */
extern unsigned short xil_set_56;               /* base + 0x18 */
extern unsigned short xil_dan_56;               /* base + 0x1c */
extern unsigned short adc_adr_56;               /* base + 0x10 */
extern unsigned short adc_lut_56;               /* base + 0x11 */
extern unsigned short adc_command_56;           /* base + 0x12 */

extern int flag_wait_56;
extern unsigned char ref_hi_56;  /* ref+ on bt252  */
extern unsigned char num_channel_56;  /*  number of channel  on bt252 (0-3) */
extern unsigned char level_syng_56;  /* level of syng detection bt252  */

extern int ver_board_56; /* ver. vs56 board */
extern int num_ver_56;

void setElRef56(unsigned char);
void setChannel56(unsigned char);
void initLutIn56(unsigned char *);
int  readConfigVs56();
int  inputFrame56();
void waitSwitchNpk56();
int  waitSing56();
int  saveImgDisk56(char *name_file);
int  loadImgDisk56(char *name_file);

void init_io();
void init_tty();
int kbhit();
int getch();
void putch(unsigned char c);
